// creator  : weidu.exe (version 23100)
// argument : PPIMOEN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~PPIMOEN~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #44170 /* ~Wh-who... who is that? Keep back. Keep back!~ [IMOEN63] */
  IF ~~ THEN REPLY #44171 /* ~Imoen, it's <CHARNAME>. I'm here to rescue you. Do you remember?~ */ GOTO 1
  IF ~~ THEN REPLY #44172 /* ~Stop fooling around, Imoen, I don't have time for it.~ */ GOTO 1
  IF ~IsValidForPartyDialog("Minsc")~ THEN REPLY #44173 /* ~You don't remember, Imoen? What about Minsc? Remember Minsc and Boo?~ */ EXTERN ~MINSCJ~ 92
  IF ~IsValidForPartyDialog("Jaheira")~ THEN REPLY #44174 /* ~You must remember Jaheira. Come on, Imoen, do you recognize her?~ */ EXTERN ~JAHEIRAJ~ 346
END

IF ~~ THEN BEGIN 1 // from: 0.1 0.0
  SAY #44175 /* ~Who is Imoen? I don't know that name. I don't know that name!! She's not here!!~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #44179 /* ~Get away from me!! I'll... I'll kill you!! I'll rip your eyes from your filthy faces!!! Do not tempt my wrath!! Do not...~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #44180 /* ~I... she's not here. I do not know that... name.~ */
  IF ~~ THEN REPLY #44181 /* ~You just rest, Imoen. I'll get you out of here. I swear it.~ */ GOTO 4
  IF ~~ THEN REPLY #44182 /* ~Damn that Irenicus. This is his doing. I'll see him dead for this.~ */ GOTO 4
  IF ~~ THEN REPLY #44183 /* ~Well, that was interesting. Somehow I envisioned our reunion as more... heroic.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.2 3.1 3.0
  SAY #44184 /* ~I see... yes... I see... She's not here... Someone else will come...~ */
  IF ~~ THEN DO ~SetGlobal("SpokeImoen","GLOBAL",1)~ UNSOLVED_JOURNAL #15752 /* ~Inside the Asylum

I finally found Imoen, but she has changed, somehow.  If she wasn't troubled before she came here, she certainly is now.  What has happened to her?!  And where is Irenicus in all of this?!~ */ EXIT
END

IF ~NumTimesTalkedToGT(0)~ THEN BEGIN 5 // from:
  SAY #44185 /* ~I will... see death come... so empty inside. I feel... I feel weak.~ [IMOEN64] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: PPIRENI1:26.0
  SAY #44658 /* ~So empty... empty...~ [IMOEN62] */
  IF ~~ THEN REPLY #44659 /* ~Imoen! It's <CHARNAME>! I'm here for you!~ */ EXTERN ~PPIRENI1~ 27
  IF ~~ THEN REPLY #44660 /* ~What have you done to her! She looks a mere shadow of herself!~ */ EXTERN ~PPIRENI1~ 27
END
